Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029473
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] Z. Othersminoralways2015-03-24 17:282015-04-01 18:09
ReportermaiteView Statuspublic 
Assigned Toumartirena 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionfe892427df60
ProjectionnoneETAnoneTarget Version3.0PR15Q1.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression levelProduction - QA Approved
Regression date2014-09-23
Regression introduced in release3.0PR14Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/179d97ee602d [^]
Triggers an Emergency PackNo
Summary

0029473: Bank Statement Line amount should be maintained when registering payment out from Match statement process

DescriptionBank Statement Line amount should be maintained when registering payment out from Match statement process
Steps To Reproduce1. Access "Cuenta de banco" financial account and create new Bank Statement record. Add Bank Statement Line with amount out=100 and process
2. Run "Match statement" process and press "+" icon to add new transaction
3. Press "+" icon to add new payment and realize that your bank statement line amount has been distributed in your invoices.
4. Uncheck invoices considered by default and check invoices again and realize that distributed amount is not your bank statement line amount but total invoice's amount

As you are trying to match a bank statement line with specific amount, it would be nice that process will only distribute that specific amount instead of consider invoice's total
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00293923.0PR15Q3 closedumartirena Bank Statement Line amount should be maintained when registering payment out from Match statement process 

-  Notes
(0076333)
hgbot (developer)
2015-04-01 18:09

Repository: erp/backports/3.0PR15Q1.3
Changeset: fe892427df604b5776b607c67637f54a4643279a
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Wed Apr 01 17:28:03 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/fe892427df604b5776b607c67637f54a4643279a [^]

Fixes bug 29473: Bank Statement Line amount maintained in Add Payment from FA

If exists bslamount this means that Add Payment window has been opened from Match Statement window, so, when selecting a line in Order/Invoices grid, this amount will be set in the line when is smaller than outstanding amount.

If Outstanding amount is smaller, then outstanding amount will be assigned.

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
---
(0076334)
vmromanos (developer)
2015-04-01 18:09

Code review + testing OK

- Issue History
Date Modified Username Field Change
2015-03-31 12:55 umartirena Type defect => backport
2015-03-31 12:55 umartirena Target Version 3.0PR15Q2 => 3.0PR15Q1.3
2015-04-01 17:20 umartirena Assigned To aferraz => umartirena
2015-04-01 18:02 dmitry_mezentsev Tag Attached: Approved
2015-04-01 18:09 hgbot Checkin
2015-04-01 18:09 hgbot Note Added: 0076333
2015-04-01 18:09 hgbot Status scheduled => resolved
2015-04-01 18:09 hgbot Resolution open => fixed
2015-04-01 18:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/fe892427df604b5776b607c67637f54a4643279a [^]
2015-04-01 18:09 vmromanos Review Assigned To => vmromanos
2015-04-01 18:09 vmromanos Note Added: 0076334
2015-04-01 18:09 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker